<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0                   #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################

$fid = intval(check($_GET['fid']));

$query = @$db->sql_query("SELECT * FROM `forum_msg` WHERE `id` = '$fid';");
if(@mysql_affected_rows() > 0)
{
$array = @$db->sql_fetchrow($query);
$name = substr($array['url'], 10, strlen($array['url']));

echo "Файл: <a href=\"../files/forum/".$array['file']."\">".$array['fname']."</a> [".round($mess['fsize']/1024,1)." кб.]";

@$db->sql_query("UPDATE `forum_msg` SET `sfile` = `sfile` + 1 WHERE `id` = '$fid';");

header("Location: ../files/forum/".$array['file']."");
}
else
{
echo "Файла не существует;<br/>";
}
?>